Name:    psfex
Version: 3.17.1
Release: %mkrel 6
Summary: Model the Point Spread Function from FITS images

Group:   Sciences/Astronomy
License: GPLv3
URL:     http://www.astromatic.net/software/%{name}
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

#replace all calls to deprecated plwid() with plwidth()
Patch0:  psfex-3.17.1-plwidth.patch

BuildRequires: fftw-devel
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: plplot-devel >= 5.10.0

%description
PSFEx (“PSF Extractor”) extracts models of the Point Spread Function (PSF) 
from FITS images processed with SExtractor and measures the quality of images. 
The generated PSF models can be used for model-fitting photometry or 
morphological analyses.

%prep
%setup -q
%patch0 -p1 -b .orig
touch plplot_config.h
# New atlas libs
sed -i -e '/LIBS*=.*atlas/s,=.*,="-L%{_libdir}/atlas -lsatlas",' configure

%build
%configure2_5x  --with-atlas-libdir=%{_libdir}/atlas
%make 

%install
%makeinstall_std

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%{_datadir}/%{name}/default.conv
%{_datadir}/%{name}/default.psfex
%{_datadir}/%{name}/prepsfex.param
%{_datadir}/%{name}/prepsfex.sex
%{_datadir}/%{name}/psfex.xsl



%changelog
* Sun May 22 2016 tv <tv> 3.17.1-6.mga6
+ Revision: 1017790
- rebuild for new atlas
- fix building with atlas

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Sep 28 2015 eatdirt <eatdirt> 3.17.1-4.mga6
+ Revision: 884892
- Rebuilt for new plplot

* Wed Oct 15 2014 umeabot <umeabot> 3.17.1-3.mga5
+ Revision: 747679
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.17.1-2.mga5
+ Revision: 687810
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 3.17.1-1.mga5
+ Revision: 642083
- Upgrade to version 3.17.1

* Tue Feb 25 2014 eatdirt <eatdirt> 3.9.1-4.mga5
+ Revision: 596749
- Rebuild for new plplot

* Mon Oct 21 2013 umeabot <umeabot> 3.9.1-3.mga4
+ Revision: 538760
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.9.1-2.mga4
+ Revision: 490374
- patch psfex to new plplot
- upgrade to new plplot

* Sun Jul 14 2013 joequant <joequant> 3.9.1-1.mga4
+ Revision: 454021
- imported package psfex

